Last Comment Bug 775606 - ENH add a 'tab.contentType' property to the tab object
: ENH add a 'tab.contentType' property to the tab object
Status: RESOLVED FIXED
:
Product: Add-on SDK
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Mac OS X
: P3 normal (vote)
: ---
Assigned To: Matteo Ferretti [:zer0] [:matteo]
:
:
Mentors:
https://addons.mozilla.org/en-US/deve...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 09:31 PDT by Jeff Griffiths (:canuckistani) (:⚡︎)
Modified: 2012-09-18 23:53 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Pointer to Github pull request: https://github.com/mozilla/addon-sdk/pull/502 (355 bytes, text/html)
2012-07-19 12:24 PDT, Matteo Ferretti [:zer0] [:matteo]
rFobic: review+
Details

Description Jeff Griffiths (:canuckistani) (:⚡︎) 2012-07-19 09:31:29 PDT
As suggested by Ciavash:

https://groups.google.com/d/msg/mozilla-labs-jetpack/U2jHWqgXu48/ZnXkZJ7-9CEJ

As I see it, this is so that developers could programatically react to the content type of a tab.
Comment 1 Siavash 2012-07-19 12:07:07 PDT
It can be useful when you want to do something based on type of the content. If you want to add something to the image viewer for example, you need to know that the content is an image, then do something with it.

In my add-on, I had to look for "resource://gre/res/TopLevelImageDocument.css" in the link tag to find out that an image is being displayed.
My add-on: https://addons.mozilla.org/en-US/firefox/addon/imgviewerplus/
Comment 2 Matteo Ferretti [:zer0] [:matteo] 2012-07-19 12:24:04 PDT
Created attachment 643967 [details]
Pointer to Github pull request: https://github.com/mozilla/addon-sdk/pull/502

Pointer to Github pull-request
Comment 3 Wes Kocher (:KWierso) 2012-07-19 14:59:27 PDT
This will work correctly on mobile, yes?
Comment 4 Matteo Ferretti [:zer0] [:matteo] 2012-07-19 15:04:52 PDT
`tabs` module doesn't work on mobile at all, so I'm not sure I got the question. Mobile should supports the `document.contentType`, so as soon as the `tabs` module will works on Mobile, that properties will be work as well (along `url` and `title` properties).

if I misunderstood the question, could you be more explicit?
Comment 5 [github robot] 2012-07-30 10:24:18 PDT
Commits pushed to master at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/22ef0f33ffb300692391c632d59f68bc71693602
Bug 775606 - ENH add a 'tab.contentType' property to the tab object

Added `tab.contentType` to tabs API, updated test and docs

https://github.com/mozilla/addon-sdk/commit/1002551cb9932869292d645c6a90e93204cd7090
Merge remote-tracking branch 'upstream/master' into tab.contentType/Bug775606

Conflicts:
	packages/api-utils/lib/tabs/tab.js

https://github.com/mozilla/addon-sdk/commit/74f25256b5aa57a187d87d990f5fec5d1d45d0fd
Merge pull request #502 from ZER0/tab.contentType/Bug775606

fix Bug 775606 - ENH add a 'tab.contentType' property to the tab object r=@gozala

Note You need to log in before you can comment on or make changes to this bug.